org.apache.ignite.internal.processors.igfs

## Class IgfsFragmentizerRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsCommunicationMessage
  - - org.apache.ignite.internal.processors.igfs.IgfsFragmentizerRequest

All Implemented Interfaces:
  Serializable, Message

    public class IgfsFragmentizerRequest
    extends IgfsCommunicationMessage

Fragmentizer request. Sent from coordinator to other IGFS nodes when colocated part of file should be fragmented.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsFragmentizerRequest()` Empty constructor required by `Externalizable`.
`IgfsFragmentizerRequest(IgniteUuid fileId, Collection<IgfsFileAffinityRange> fragmentRanges)`

### Method Summary

Methods
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`IgniteUuid` `fileId()`
`Collection<IgfsFileAffinityRange>` `fragmentRanges()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.igfs.IgfsCommunicationMessage

`finishUnmarshal, prepareMarshal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsFragmentizerRequest

    public IgfsFragmentizerRequest()

Empty constructor required by `Externalizable`.

#### IgfsFragmentizerRequest

    public IgfsFragmentizerRequest(IgniteUuid fileId,
                           Collection<IgfsFileAffinityRange> fragmentRanges)

Parameters:
  `fileId` - File id to fragment.
  `fragmentRanges` - Ranges to fragment.

### Method Detail

#### fileId

    public IgniteUuid fileId()

Returns:
  File ID.

#### fragmentRanges

    public Collection<IgfsFileAffinityRange> fragmentRanges()

Returns:
  Fragment ranges.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `IgfsCommunicationMessage`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `IgfsCommunicationMessage`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `IgfsCommunicationMessage`
Returns:
  Fields count.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015